// Library: TimingRelay 
// Author: Shaposhnikov Gennadii
// E-mail: genaonyx@mail.ru
// URL: http://arduino.on.kg/

// Подключаем библиотеку TimingRelay.
#include "TimingRelay.h"

// Константа, содержащая порт кнопки.
const int buttonPin = 2;

// Константа, содержащая порт реле.
const int relayPin = 13;

// Переменная, содержащая состояние кнопки.
int buttonState = 0;

// Создаем реле времени (Порт, Задержка включения, Задержка выключения).
TimingRelay relay(relayPin, 2000, 5000);

void setup()
{
  // Инициализируем порт кнопки как вход.
  pinMode(buttonPin, INPUT);
  // Включаем автоматическое сбрасывание состояния реле.
  // Автоматический запуск таймера задержки выключения.
  relay.autoReset = true;
}

void loop()
{
  // Считываем статус кнопки.
  buttonState = digitalRead(buttonPin);
  // Если кнопка нажата включаем реле.
  if (buttonState) relay.on();
  // Обрабатываем (обязательно).
  relay.loop();
}