// Library: TimingRelay 
// Author: Shaposhnikov Gennadii
// E-mail: genaonyx@mail.ru
// URL: http://arduino.on.kg/

// Подключаем библиотеку TimingRelay.
#include "TimingRelay.h"

// Константа, содержащая порт кнопки.
const int buttonPin = 2;

// Константа, содержащая порт реле №1.
const int relayPin1 = 13;

// Константа, содержащая порт реле №2.
const int relayPin2 = 12;

// Переменная, содержащая состояние кнопки.
int buttonState = 0;

// Создаем реле времени (Порт, Задержка включения, Задержка выключения).
TimingRelay relay1(relayPin1, 2000, 5000);
TimingRelay relay2(relayPin2, 0, 3000);

void setup()
{
  // Инициализируем порт кнопки как вход.
  pinMode(buttonPin, INPUT);
}

void loop()
{
  // Считываем статус кнопки.
  buttonState = digitalRead(buttonPin);
  // Передаем статус реле.
  relay1.set(buttonState);
  relay2.set(buttonState);
  // Обрабатываем (обязательно).
  relay1.loop();
  relay2.loop();
}