// Library: TimingRelay 
// Author: Shaposhnikov Gennadii
// E-mail: genaonyx@mail.ru
// URL: http://arduino.on.kg/

#ifndef TimingRelay_h
#define TimingRelay_h

#if ARDUINO >= 100
  #include "Arduino.h"
 #else
  #include "WProgram.h"
#endif

class TimingRelay
{
  public:
    TimingRelay(uint8_t _pin, uint32_t _onDelay = 0, uint32_t _offDelay = 0);
    void loop();
    void set(int _output);
	int get();
	void on();
	void off();
	bool autoReset = false;
  private:
    uint8_t pin = 13;
    uint32_t onDelay = 0;
    uint32_t offDelay = 0;
    uint32_t startTime = 0;
    int output = LOW;
	bool Timer(uint32_t startTime, uint32_t period);
};

#endif